首页新闻找找看学习计划

junit报错java.lang.Exception: No tests found matching

0
[已解决问题] 解决于 2016-06-19 09:07
java.lang.Exception: No tests found matching [{ExactMatcher:fDisplayName=test], {ExactMatcher:fDisplayName=test(org.devin.hellochat.test.Test)], {LeadingIdentifierMatcher:fClassName=org.devin.hellochat.test.Test,fLeadingIdentifier=test]] from org.junit.internal.requests.ClassRequest@31befd9f
    at org.junit.internal.requests.FilterRequest.getRunner(FilterRequest.java:40)
    at org.eclipse.jdt.internal.junit4.runner.JUnit4TestLoader.createFilteredTest(JUnit4TestLoader.java:77)
    at org.eclipse.jdt.internal.junit4.runner.JUnit4TestLoader.createTest(JUnit4TestLoader.java:68)
    at org.eclipse.jdt.internal.junit4.runner.JUnit4TestLoader.loadTests(JUnit4TestLoader.java:43)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:444)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests(RemoteTestRunner.java:675)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.run(RemoteTestRunner.java:382)
    at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.main(RemoteTestRunner.java:192)
Devinzx的主页 Devinzx | 初学一级 | 园豆:124
提问于:2016-06-18 09:58
< >
分享
最佳答案
0

我使用的是 junit 4.12版本,

去 maven 官网查的结果

<dependencies>
       <dependency>
           <groupId>org.hamcrest</groupId>
           <artifactId>hamcrest-core</artifactId>
           <version>1.3</version>
       </dependency>
</dependencies>

所以 junit4.12 依赖 hamcrest1.3, 需要再导入 hamcrest-core 包

Devinzx | 初学一级 |园豆:124 | 2016-06-18 10:07

换了个旧点的版本,可以了,谢谢。

鲜橙 | 园豆:202 (菜鸟二级) | 2019-04-14 17:32
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册